Bug 174947 - udev does not create /dev/ttyUSB1, /dev/ttyUSB0, and sym link /dev/pilot for visor hot sync
udev does not create /dev/ttyUSB1, /dev/ttyUSB0, and sym link /dev/pilot for ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
15
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-04 14:27 EST by tmoore7773
Modified: 2011-09-06 10:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-06 10:35:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description tmoore7773 2005-12-04 14:27:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
When the hot sync button is depressed on kernels after linux-2.6.11, udev does not create /dev/ttyUSB0, /dev/ttyUSB1 (nor the symbolic link to /dev/pilot) for the Handspring Visor.  If I do the following:
mknod /dev/ttyUSB0 c 188 0 
mknod /dev/ttyUSB1 c 188 1 
if [ ! -L /dev/pilot ] ; then
        ln -s /dev/ttyUSB1 /dev/pilot
fi
chown chim /dev/ttyUSB0 /dev/ttyUSB1
chmod 0664 /dev/ttyUSB0 /dev/ttyUSB1
pilot-link, kpilot, and other similar programs work.  This broke only after
linux-2.6.11.  For the FC3 and FC4, if I compile kernel linux-2.6.11.x, then everything works.  linux-2.6.12 broke the Handspring visor.

If this is not to be fixed, could you suggest some /etc/udev/scripts file
and the appropriate /etc/udev/rules.d file to make this work.

The /sys directory knows that the Handspring exists, and so does usbviewer.



Version-Release number of selected component (if applicable):
udev-039-10.FC3.8

How reproducible:
Always

Steps to Reproduce:
1. Place a Handspring Visor in its cradle
2. Press the hot sync button
3. no /dev/ttyUSB[01] is created
4. there are appropriate /sys entries for the ttyUSB devices
  

Actual Results:  Nothing.

Expected Results:  /dev/ttyUSB0, /dev/ttyUSB1 should be created
ln -s /dev/ttyUSB1 /dev/pilot should be executed

Additional info:

The nodes are destroyed after execution of dlpsh
or kpilot as expected.
Comment 1 Adam Pribyl 2005-12-17 13:28:31 EST
Is it not duplicate of 158809?
Comment 2 Johnny Proton 2006-09-26 11:34:26 EDT
I don't know if it's an exact duplicate.  It appears with the newest UDEV which
was released for FC5 on August 26, it doesn't create the /dev/ttyUSB0 and
/dev/ttyUSB1 entries at all.
Comment 3 Christian Iseli 2007-01-19 19:31:04 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 udo 2011-09-06 10:08:41 EDT
F15 does the same.
Insert serial USB device:

Sep  6 16:02:23 surfplank2 klogd: usb 4-3: new full speed USB device number 4 using ohci_hcd
Sep  6 16:02:23 surfplank2 klogd: usb 4-3: New USB device found, idVendor=067b, idProduct=2303
Sep  6 16:02:23 surfplank2 klogd: usb 4-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Sep  6 16:02:23 surfplank2 klogd: usb 4-3: Product: USB-Serial Controller
Sep  6 16:02:23 surfplank2 klogd: usb 4-3: Manufacturer: Prolific Technology Inc.
Sep  6 16:02:23 surfplank2 mtp-probe: checking bus 4, device 4: "/sys/devices/pci0000:00/0000:00:12.1/usb4/4-3" 
Sep  6 16:02:23 surfplank2 mtp-probe: bus: 4, device: 4 was not an MTP device 
Sep  6 16:05:26 surfplank2 dbus-daemon: [system] Activating via systemd: service name='org.freedesktop.Hal' unit='haldaemon.service'
Sep  6 16:05:27 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.Hal'

No /dev/ttyUSB* or so.

[root@surfplank2 udev]# rpm -q udev
udev-167-4.fc15.x86_64
[root@surfplank2 udev]# rpm -q hal
hal-0.5.14-6.fc15.x86_64
Comment 5 udo 2011-09-06 10:35:12 EDT
device was created after having the right module ready. :-)

Note You need to log in before you can comment on or make changes to this bug.